:============================================================================:
: For Clipper 5.2x ONLY                                                      :
: MAKEDEMO.BAT - Creates SIXDEMO.EXE, SIx Driver v3.0 Demo Program           :
: (c)1995-SuccessWare 90, Inc.  The Database Driver Pioneers  909-699-9657 :
:============================================================================:
:BEGIN
@echo off
if "%1"=="" goto HELP
if "%2"=="" goto HELP

echo.
echo "Compiling and Linking Samples..."
echo.

if "%2"=="CDX" goto SIXCDX
if "%2"=="cdx" goto SIXCDX
if "%2"=="NSX" goto SIXNSX
if "%2"=="nsx" goto SIXNSX
goto HELP

:SIXCDX
if "%1"=="B" rmake sixdemo /dLINKER:BLINKER  /dRDD:CDX %3
if "%1"=="b" rmake sixdemo /dLINKER:BLINKER  /dRDD:CDX %3
if "%1"=="C" rmake sixdemo /dLINKER:WL32     /dRDD:CDX %3
if "%1"=="c" rmake sixdemo /dLINKER:WL32     /dRDD:CDX %3
if "%1"=="E" rmake sixdemo /dLINKER:EXOSPACE /dRDD:CDX %3
if "%1"=="e" rmake sixdemo /dLINKER:EXOSPACE /dRDD:CDX %3
goto RUNDEMO

:SIXNSX
if "%1"=="B" rmake sixdemo /dLINKER:BLINKER  /dRDD:NSX %3
if "%1"=="b" rmake sixdemo /dLINKER:BLINKER  /dRDD:NSX %3
if "%1"=="C" rmake sixdemo /dLINKER:WL32     /dRDD:NSX %3
if "%1"=="c" rmake sixdemo /dLINKER:WL32     /dRDD:NSX %3
if "%1"=="E" rmake sixdemo /dLINKER:EXOSPACE /dRDD:NSX %3
if "%1"=="e" rmake sixdemo /dLINKER:EXOSPACE /dRDD:NSX %3

:RUNDEMO
if errorlevel 1 goto ERROR
echo.
echo "Here we go...!"
echo.
RUNDEMO
goto END

:ERROR
echo.
echo =============== SOMETHING BAD HAS HAPPENED! ==================
echo.
goto END

:HELP
echo.
echo Syntax:  MAKEDEMO [Linker] [Flavor]
echo.
echo  Where:  Linker is B for Blinker   or
echo                    C for CauseWay  or
echo                    E for ExoSpace
echo.
echo          Flavor is CDX for SIXCDX  or
echo                    NSX for SIXNSX
echo.
echo  To link the demo with Blinker to use the SIXNSX flavor :  MAKEDEMO B NSX
echo  To link the demo with ExoSpace to use the SIXCDX flavor:  MAKEDEMO E CDX

:END

